#include <stdio.h>
#include <comedilib.h>

/*
	chan	desc		purpose
	7	A/D chan 7	input from thermocouple amplifier
	18	digital i/o	bit 0-2: (output) channel selector
*/

#define VA -5.020483259
#define VB 0.0024707736

int mget(int it,int ch,int n);

int main(int argc,char *argv[])
{
	int i;
	int it;
	double v[8];
	char *fn="/dev/comedi1";
	
	it=open(fn,O_RDWR);
	if(!it){
		fprintf(stderr,"cannot open %s\n",fn);
		exit(0);
	}

	comedi_setparam(it,18,COMEDI_IOBITS,0x7);
	for(i=0;i<8;i++){
		comedi_put(it,18,i);
		v[i]=VA+VB*mget(it,7,100)/100.0;
		printf("%d: %f\n",i,v[i]);
	}
	printf("\n");

	for(i=0;i<6;i++){
		printf("tc%d: %f mV\n",i,1000*0.01*(v[i]-v[6]));
	}

	printf("cdc: %f C\n",(v[7]-v[6])/2470*1e6-273.14);
	
}

int mget(int it,int ch,int n)
{
	int i,sum,data;
	
	sum=0;
	for(i=0;i<n;i++){
		comedi_get(it,ch,&data);
		sum+=data;
	}
	return sum;
}

