#include <stdio.h>
#include <comedilib.h>
#include <fcntl.h>
#include <unistd.h>
#include <sys/ioctl.h>
#include <errno.h>

#define N_SAM 100

void help(void)
{
	fprintf(stderr,"chart <channel number> [output file]\n");
	exit(0);
}

char line[]="================================================================================";
void main(int argc,char *argv[])
{
	int i=0,chan;
	int r,in;
	int outf=0;
	FILE *out;
	comedi_trig it;
	comedi_sample s;
	int flags,val;
	
	if(argc<2 || argc>3)help();

	if(!sscanf(argv[1],"%d",&chan))help();

	in=open("/dev/comedi1",O_RDWR);
	if(!in){
		fprintf(stderr,"cannot open /dev/comedi1\n");
		exit(0);
	}

	comedi_getparam(in,chan,COMEDI_IO,&flags,&val);
	/*if(!(val&COMEDI_IO_INPUT)){
		fprintf(stderr,"not input channel\n");
		exit(0);
	}*/
	
	if(argc>2){
		outf=1;
		out=fopen(argv[2],"w");
		if(!out){
			fprintf(stderr,"cannot open %s\n",argv[2]);
			exit(1);
		}
	}

	it.chan=chan;
	it.io=COMEDI_IO_INPUT;
	it.n=N_SAM;
	it.trigsrc=COMEDI_TRIGCLK;
	it.trigvar=1999999;

	r=ioctl(in,COMEDI_TRIG,&it);
	if(r<0)printf("ioctl errno=%d\n",errno);

	for(i=0;i<N_SAM;i++){
		read(in,&s,sizeof(comedi_sample));
		printf("%d %d\n",i,s.data);
	}
}



