/*
    guile-comedi/guile-comedi.c
    main source file for guile-comedi

    COMEDI - Linux Control and Measurement Device Interface
    Copyright (C) 1998 David A. Schleef <ds@stm.lbl.gov>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/

#include <stdio.h>
#include <guile/gh.h>
#include <guile-comedi.h>

void main_prog(int argc, char *argv[]);
void init_comedi_procedures(void);

void ex(void)
{
	
}

int main(int argc, char *argv[])
{
	atexit(ex);
	gh_enter(argc, argv, main_prog);
	return 0;
}

SCM catcher(void *data,SCM tag,SCM args)
{
	gh_display(tag);
	gh_newline();
	gh_display(args);
	gh_newline();
	
	return tag;
}

void main_prog(int argc, char *argv[])
{
	char s[200];
	int done=0;

	init_comedi_procedures();

	fputs("guile-comedi> ", stdout);
	while (!done) {
		if (gets(s) == NULL) {
			done = 1;
		}else{
			gh_eval_str_with_catch(s,catcher);
			fputs("guile-comedi> ", stdout);
		}
	}
	exit(0);
}

void init_comedi_procedures(void)
{
	gh_new_procedure1_0("comedi-test", gc_test);
}
