
#ifndef _COMEDI_NI_STC_H
#define _COMEDI_NI_STC_H

/* Registers in the National Instruments DAQ-STC chip */

#define Interrupt_A_Ack_Register	2
#define AI_Status_1_Register		2
#define Interrupt_B_Ack_Register	3
#define AI_Command_2_Register		4
#define DIO_Input_Register		7
#define AI_Command_1_Register		8
#define AO_Command_1_Register		9
#define DIO_Output_Register		10
#define DIO_Control_Register		11
#define AI_Mode_1_Register		12
#define AI_Mode_2_Register		13
#define AI_FIFO_Empty_St			0x1000
#define AI_SI_Load_A_Registers		14
#define AI_SC_Load_A_Registers		18
#define AI_SI2_Load_A_Register		23
#define AI_SI2_Load_B_Register		25
#define Clock_and_FOUT_Register		56
#define AI_Output_Control_Register	60
#define AI_START_STOP_Select_Register	62
#define AI_Trigger_Select_Register	63
#define AO_Start_Select_Register	66
#define Joint_Reset_Register		72
#define AO_Configuration_End			0x0200
#define AI_Configuration_End			0x0100
#define AO_Configuration_Start			0x0020
#define AI_Configuration_Start			0x0010
#define AO_Reset				0x0002
#define AI_Reset				0x0001
#define Interrupt_B_Enable_Register	75
#define AI_Personal_Register		77
#define AO_Personal_Register		78
#define Write_Strobe_0_Register		82
#define Write_Strobe_1_Register		83
#define Write_Strobe_2_Register		84
#define Write_Strobe_3_Register		85
#define AO_Output_Control_Register	86
#define AI_Mode_3_Register		87


/* 16 bit registers shadowed from DAQ-STC */
#define Window_Address			0x00
#define Window_Data			0x02
#define Interrupt_A_Ack			0x04
#define AI_Status_1			0x04
#define Interrupt_B_Ack			0x06
#define AO_Status_1			0x06
#define AI_Command_2			0x08
#define G_Status			0x08
#define AO_Command_2			0x0a
#define AI_Status_2			0x0a
#define G0_Command			0x0c
#define AO_Status_2			0x0c
#define G1_Command			0x0e
#define DIO_Parallel_Input		0x0e


#define _win_out(a,b,c) (outw((b),(c)+Window_Address),outw((a),(c)+Window_Data))
#define win_out(a,b) _win_out((a),(b),dev->iobase)
#define _win_in(b,c) (outw((b),(c)+Window_Address),inw((c)+Window_Data))
#define win_in(b) _win_in((b),dev->iobase)

#endif /* _COMEDI_NI_STC_H */
